Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class AdminPageBean

    java.lang.Object
      org.jivesoftware.admin.AdminPageBean

    public class AdminPageBean

extends Object

A bean to hold page information for the admin console.

Nested Class Summary
`static class` | `AdminPageBean.Breadcrumb` A simple model of a breadcrumb.

Constructor Summary
`AdminPageBean()`

Method Summary
`Collection` | `getBreadcrumbs()` Returns a collection of breadcrumbs.
`String` | `getExtraParams()` Returns a string of extra parameters for the URLs - these might be specific IDs for resources.
`String` | `getPageID()` Returns the page ID (corresponds to sidebar ID's).
`Collection` | `getScripts()` Returns a collection of scripts.
`String` | `getSubPageID()` Returns the subpage ID (corresponds to sidebar ID's).
`String` | `getTitle()` Returns the title of the page with HTML escaped.
`void` | `setExtraParams(String extraParams)` Sets the string of extra parameters for the URLs.
`void` | `setPageID(String pageID)` Sets the ID of the page (corresponds to sidebar ID's).
`void` | `setSubPageID(String subPageID)` Sets the subpage ID (corresponds to sidebar ID's).
`void` | `setTitle(String title)` Sets the title of the admin console page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminPageBean

    public AdminPageBean()

Method Detail

### getTitle

    public String getTitle()

  Returns the title of the page with HTML escaped.

### setTitle

    public void setTitle(String title)

  Sets the title of the admin console page.

### getBreadcrumbs

    public Collection getBreadcrumbs()

  Returns a collection of breadcrumbs. Use the Collection API to get/set/remove crumbs.

### getPageID

    public String getPageID()

  Returns the page ID (corresponds to sidebar ID's).

### setPageID

    public void setPageID(String pageID)

  Sets the ID of the page (corresponds to sidebar ID's).

  Parameters:
    `pageID` -

### getSubPageID

    public String getSubPageID()

  Returns the subpage ID (corresponds to sidebar ID's).

### setSubPageID

    public void setSubPageID(String subPageID)

  Sets the subpage ID (corresponds to sidebar ID's).

  Parameters:
    `subPageID` -

### getExtraParams

    public String getExtraParams()

  Returns a string of extra parameters for the URLs - these might be specific IDs for resources.

### setExtraParams

    public void setExtraParams(String extraParams)

  Sets the string of extra parameters for the URLs.

### getScripts

    public Collection getScripts()

  Returns a collection of scripts. Use the Collection API to get/set/remove scripts.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.